LV2PROC(1)

NAME
lv2proc - a simple command line effect processor using LV2 plugins

SYNOPSIS
lv2proc [ options ] -i input -o output plugin
lv2proc -h|--help
lv2proc --version

DESCRIPTION
lv2proc generates an output sound file by applying a LV2 effect plugin to an input sound file.

OPTIONS

-h, --help
    Print a short description of the command line options on the standard output and quit.

--version
    Print version and copyright information on the standard output and quit.

-i input
    Indicates the input sound file.

-o output
    Indicates the output sound file.

plugin
    LV2 plugin URI.

-n frames
    Number of audio frames to be processed at each cycle (default is 512).

-c port:value
    Assigns value to the port identified by port symbol port. The specified port must be a control input port and value must be a floating-point number in a form that strtof(3) undestands, assuming that the "C" locale is being used.

--with-latency
    Disables latency compensation that is generously offered to you by default.

--timing
    Report some timing statistics on the standard output after sound processing.

--normalize
    Normalize the output file by applying the same gain factor to all channels. No fancy loudness estimation going on here, just trying to make use of the whole dynamic range of the output file format.

ENVIRONMENT

LV2_PATH
    Used to override the list of directories where LV2 plugin bundles are looked for (as per LV2 FHS, see <http://lv2plug.in/trac/wiki/Filesystem_Hierarchy_Standard>).

AUTHOR
Stefano D'Angelo <zanga dot mail at gmail dot com>

SEE ALSO
lv2ls(1), lv2info(1)